<?php
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "../clases/datosbd.class.php";
require "../libs/funciones.php";

date_default_timezone_set("America/Mexico_City");

$datosbd = new datosbd();
if($datosbd->getDoce($_REQUEST["doce_uuid"])){
    if($datosbd->cDoce == null){
        $datosbd->Alert("No se encontro la información del documento.");
    }
}else{
    $datosbd->Alert("Ocurrio un error al consultar. ".$datosbd->mensajeerror);
}

if($datosbd->cDoce["status"] == 0){
    ?><script>enviaNotificacionCancelacionDePago('<?=$datosbd->cDoce["adicionala"]?>','<?=$datosbd->cDoce["rfcreceptor"]?>')</script><?
    $datosbd->InfoContinua("El documento ya fue cancelado previamente.");
    exit;
}

$q = "update doce set status=0 where adicionala='".$datosbd->cDoce["adicionala"]."'";

if(!mysqli_query($datosbd->CONEXION, $q)){
    $datosbd->Alert("Ocurrio un error al cancelar el documento. ".$datosbd->mensajeerror);
}else{
    if(mysqli_affected_rows($datosbd->CONEXION) > 0){
        $datosbd->InfoContinua("Notificación de pago cancelada correctamente.");
        ?><script>enviaNotificacionCancelacionDePago('<?=$datosbd->cDoce["adicionala"]?>','<?=$datosbd->cDoce["rfcreceptor"]?>')</script><?
    }else{
        $datosbd->Alert("No se pudo cancelar el documento. Intente nuevamente.");
    }   
}
?>